//CGameFeats - [2020-04-13 11:57:46]
#ifndef _CGAMEFEATS_H_
#define _CGAMEFEATS_H_

#include "common.h"
#include "CFTTDisplayAchievements.h"

/*
00159F54 CGameFeats::CGameFeats()
00159F56 CGameFeats::~CGameFeats()
00159F58 CGameFeats::ProcessScoreFeats()
00159F5C CGameFeats::ProcessStageFeats(int)
0015A3F4 CGameFeats::SetFeatComplete(int,bool)
0015A4A4 CGameFeats::RenderAchievement(TAchievement *)
*/

//sizeof:0x108
struct FeatItem {
  int       iStrID_0;
  int       field_4;
  wchar_t   wstr_8[128];
};

class CGameFeats {
public:
  CGameFeats();                                   //00159F54
  ~CGameFeats();                                  //00159F56
  void ProcessScoreFeats();                       //00159F58
  static void ProcessStageFeats(int);             //00159F5C
  static void SetFeatComplete(int, bool);         //0015A3F4
  static void RenderAchievement(TAchievement*);   //0015A4A4
};

#endif  //_CGAMEFEATS_H_